SASL_DISPOSE(3)

NAME
sasl_dispose - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
void sasl_dispose(sasl_conn_t **pconn );

DESCRIPTION

int sasl_encode(sasl_conn_t *conn,

const char * input,

unsigned inputlen,

const char ** output,

unsigned * outputlen);
    sasl_dispose is called when a SASL connection object is no longer needed.

    Note that this is usually when the protocol session is done NOT when the authentication is done since a security layer may have been negotiated.

Parameters

•   conn – is the SASL connection context

RETURN VALUE

No return values

CONFORMING TO

RFC 4422

SEE ALSO

sasl(3), sasl_server_new(3), sasl_client_new(3),

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team